# PetscErrorMessage

returns the text string associated with a PETSc error code.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscErrorMessage(int errnum,const char *text[],char **specific)

Not Collective

### Input Parameter

errnum -the error code

### Output Parameter

| text | - the error message (PETSC_NULL if not desired)
| specific | - the specific error message that was set with SETERRxxx() or PetscError(). (PETSC_NULL if not desired)

### See Also

PetscPushErrorHandler(), PetscAttachDebuggerErrorHandler(),
PetscAbortErrorHandler(), PetscTraceBackErrorHandler()

Level:developer
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages